# $Revision: 1.13 $, $Date: 2001/11/17 16:21:01 $
Summary:	Econometric analysis
Summary(pl):	Analiza ekonometryczna
Name:		gretl
Version:	0.96
Release:	1
License:	GPL
Group:		Applications/Math
Group(de):	Applikationen/Mathematik
Group(pl):	Aplikacje/Matematyczne
Source0:	ftp://ricardo.ecn.wfu.edu/pub/gretl/%{name}-%{version}.tar.gz
Patch0:		%{name}-override_readline_tests.patch
Patch1:		%{name}-use_terminfo_not_termcap.patch
Patch2:		%{name}-move_x11_binary.patch
Patch3:		%{name}-DESTDIR.patch
Patch4:		%{name}-DESTDIR2.patch
URL:		http://gretl.sourceforge.net/
BuildRequires:	gtk+-devel >= 1.2.3
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	%{name}-lib = %{version}

%define		_includedir	/usr/include/gretl

%description
It is a software package for econometric analysis, written in the C
programming language. Comprises a shared library, a command-line
client program, and a graphical client built using GTK+. Gretl calls
gnuplot to generate graphs. Contains sample data files, like those
from W. Greene.

%description -l pl
To jest pakiet do analizy ekonometrycznej. Zawiera bibliotek,
narzdzie dziaajce z linii polece i graficznego klienta opartego na
GTK+. Gretl uywa gnuplota do generowania wykresw. Zawiera te przy-
kadowe pliki z danymi, min. dane z ksiki W. Green'a

%package lib
Summary:	Gretl Libraries
Summary(pl):	Biblioteki Gretl
Group:		Libraries
Group(de):	Libraries
Group(es):	Bibliotecas
Group(fr):	Librairies
Group(pl):	Biblioteki
Group(pt_BR):	Bibliotecas
Group(ru):	
Group(uk):	̦

%description lib
Libraries for Gretl. See gretl package description.

%description lib -l pl
Biblioteki Gretl.

%package devel
Summary:	Gretl header files
Summary(pl):	Pliki nagwkowe Gretl
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-lib = %{version}

%description devel
Package contains header files for building gretl-based software. See
gretl package description.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania programw bazujcych na gretl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/gretl/db,%{_prefix}/X11R6/bin}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/gretl_x11 $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/

gzip -9nf README ChangeLog EXTENDING 

%clean
rm -rf $RPM_BUILD_ROOT

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz doc/{gretl-logo.png,*.{pdf,tex,sty}}
%attr(755,root,root) %{_bindir}/gretl
%attr(755,root,root) %{_bindir}/gretlcli
%attr(755,root,root) %{_prefix}/X11R6/bin/gretl_x11
%{_datadir}/gretl
%{_mandir}/*/*

%files lib
%defattr(644,root,root,755)
%{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gretl-config
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%{_includedir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gretl.spec,v $
Revision 1.13  2001/11/17 16:21:01  kloczek
- simplifications and cosmetics.

Revision 1.12  2001/11/17 15:38:12  yascool

- perl expression removed and it's functionality added to gretl-DESTDIR2.patch

Revision 1.11  2001/11/17 12:24:46  yascool
- added DESTDIR2 patch

Revision 1.10  2001/11/13 14:41:58  saq
- proper fix of /usr/local/share implied path

Revision 1.9  2001/11/12 17:15:20  saq
- split the libs between -lib and -devel

Revision 1.8  2001/11/12 17:06:36  saq
- missing buildreqs added
- proper make install (via DESTDIR.patch)
- adapterized

Revision 1.7  2001/11/12 14:19:44  fastviper
- create symlink during %post, because gretl thinks helpfiles are in /usr/local/share/gretl

Revision 1.6  2001/11/12 14:12:24  fastviper
- moved gretl-config to gretl-devel package
- fixed typo in %patch2

Revision 1.5  2001/11/12 13:55:28  fastviper
- now using terminfo (-ltinfo)
- some tests in configure were overriden, since weren't working properly
- moved X11 binaries to /usr/X11R6/bin and fixed gretl starting scipt
- added info about examples in package

Revision 1.4  2001/11/12 09:17:42  qboosh
- more cleanups and fixes, pl translations, added /usr/include/gretl dir to -devel

Revision 1.3  2001/11/12 07:56:03  saq
- cleanups
- don't force /usr/man (not FHS compatible)
- don't include man1/ in the package
- gzip the docs
- use %%configure
- adapterized

Revision 1.2  2001/11/12 00:14:51  fastviper
- removed all lame hacks, now using %makeinstall

Revision 1.1  2001/11/11 21:28:35  fastviper
- need to rewrite %install section and throw away lame hacks
- created this spec from scratch
